#pragma once


#include "Variablen.h"
#include "Array.h"


class Bestenliste : public Variable
{
private:
    RCArray< Text > spalten;
    RCArray< Text > zeilen;
    RCArray< RCArray< Text > > werte;
    int id;
    bool sichtbar;

public:
    Bestenliste( int id );
    void setSichtbar( bool sichtbar );
    void addSpalte( const char *name );
    void addZeile( const char *name );
    void setWert( const char *spalte, const char *zeile, const char *wert );
    const char *getWert( const char *spalte, const char *zeile );
};